package riomhaire.lti.core.infrastructure.api;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.servlet.ModelAndView;
import riomhaire.lti.core.model.LTIMessage;
import riomhaire.lti.core.model.interfaces.ApplicationRegistry;
import riomhaire.lti.core.model.interfaces.CommandDispatcher;

import javax.annotation.PostConstruct;

@Getter
public class Endpoint {
    @Autowired
    private ApplicationRegistry registry;
    private CommandDispatcher<ModelAndView, ApplicationRegistry, LTIMessage> dispatcher;

    @PostConstruct
    protected void initEndpoint() {
        dispatcher = registry.commandDispatcher();
    }

}
